# Contributing to Guard::Strainer

## File an issue

You can report bugs and feature requests to [GitHub Issues](https://github.com/wingrunr21/guard-strainer/issues).

Try to figure out where the issue belongs to: Is it an issue with Guard::Strainer itself or with Guard?

When you file a bug, please try to follow these simple rules if applicable:

* Make sure you've read the README carefully.
* Make sure you run Guard with `bundle exec` first.
* Add debug information to the issue by running Guard with the `--debug` option.
* Add your `Guardfile` and `Gemfile` to the issue.
* Make sure that the issue is reproducible with your description.

**It's most likely that your bug gets resolved faster if you provide as much information as possible!**

Development
-----------

* Source hosted at [GitHub](https://github.com/wingrunr21/guard-strainer).

Pull requests are welcome! Please try to follow these rules for contributions:

* Please create a topic branch for every unique change
* Please make sure you create tests for your new features
* Please update the README as applicable
* Please **do not change** the version number
